/*
 * 630_regs.h :	Register Recommended Setting for SiS 630 [ABE][01]
 *
 *
 * Copyright 2000 Silicon Integrated Systems Corporation
 *
 *	This program is free software; you can redistribute it and/or modify
 *	it under the terms of the GNU General Public License as published by
 *	the Free Software Foundation; either version 2 of the License, or
 *	(at your option) any later version.
 *
 *	This program is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *	GNU General Public License for more details.
 *
 *	You should have received a copy of the GNU General Public License
 *	along with this program; if not, write to the Free Software
 *	Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *
 * Reference:
 *	1. SiS 630 Specification
 *	2. SiS 630A1 Register Recommended Setting
 *	   Rev 0.97, Jan 7, 2000
 *
 * $Id$
 *
 * modd by S. Gehlbach <steve @ kesa . com>
 */

const unsigned char northbridge_init_table[] =
{
//		Value -> Register
	/* generic PCI configuration space */
		0x07,	0x04,	// Turn on Bus Master,
		0x00,	0x05,	// Memory and I/O Space
		0x00,	0x06,	// clear PCI status
		0x00,	0x07,	// 	
		0x20,	0x0D,	// Master Latency Timer = 32 PCI CLCK

	/* SiS 630 specific registers. See SiS 630 Registers Recommended Setting */
	
	/* Host Control Interface */
#ifdef ENABLE_SIS630_CPU_PIPELINE
		0x9E,	0x50,	//
#else
	/* CPU Pipeline should be disable if on Coppermine CPU
	 * or more than 1 Bus Master LAN */	
		0x9C,	0x50,	//
#endif
		0x00,	0x51,	//

	/* DRAM Control */
		0xC5,	0x52,	//	
		0x00,	0x53,	//

		0x00,	0x54,	// 0x00 -> 66/100 MHZ, 0x08 -> 133 MHZ
		0x29,	0x55,	// 0x29 -> 66/100 MHZ, 0x1D -> 133 MHZ
		0x00,	0x56,	// 0x00 -> 66  MHZ,    0x80 -> 100/133 MHZ
		0x00,	0x57,	// 0x00 -> 100 MHZ     0x01 -> 133 MHZ

	/* Pre-driver Slew Rate/Current Driving Control */
		0x00,	0x58,	//
		0x35,	0x59,	//
		0x51,	0x5A,	//
		0x00,	0x5B,	//

		0x00,	0x65,	// Use DIMM 0 for SMA

	/* MISC Control */
		0xC0,	0x6A,	//
		0x01,	0x6B,	// 0x00 -> 66/133 MHZ, 0x01 -> 100 MHZ
		0x20,	0x6C,	// 0x2E -> 66 MHZ, 0x20 -> 100 MHZ, 0x2C -> 133 MHZ
 
	/* PCI Interface */
		0x21,	0x80,	//
		0xFF,	0x81,	//
		0x7F,	0x82,	//
		0x1E,	0x83,	//

		0x60,	0x84,	//
		0x00,	0x85,	//
		0x03,	0x86,	//
		0x40,	0x87,	//

		0x00,	0x88,	//
		0x08,	0x89,	//

	/* AGP GART Base Address */
		0x00,	0x90,
		0x00,	0x91,
		0x00,	0x92,
		0x00,	0x93,

	/* Graphic Window Size */
		0x40,	0x94,	// Graphic Window Size == 64MB
		0x01,	0x97,	// Page Table Cache Enable
		0x00,	0x98,	//
		0x02,	0x9C,	// Integrated VGA Enable

	/* DRAM Priority Timer Control Register */
		0x00,	0xA0,
		0x00,	0xA1,
		0x03,	0xA2,
		0x01,	0xA3,

	/* AGP Command Register */
		0x04,	0xC8,	// AGP 4X
		0x00,	0xC9	// AGP Disabled
};

